Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZForumCategory Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ()
| get ( $id="")
| forums ( $offset=0, $limit=-1)
| forumCount ()
| addForum ( $forum)
| getAllCategories ()
| id ()
| setName ( $newName)
| setSectionID ( $value)
| sectionID ()
| name ()
| setDescription ( $newDescription)
| description ()

## Static Public Member Functions
static | getAll ()
static | sectionIDStatic ( $categoryID)

## Public Attributes
| $ID
| $Name
| $Description
| $IsPrivate
| $SectionID

## Detailed Description

! eZForum The eZForumCategory class handles forum categories.

See also
  eZForum

TODO

Definition at line 43 of file ezforumcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZForumCategory::__construct | ( |  | $id = `""` | ) |

Constructs a new eZForumCategory object.

Definition at line 48 of file ezforumcategory.php.

References $id.

## Member Function Documentation

## ◆ addForum()

eZForumCategory::addForum | ( |  | $forum | ) |

Adds a forum to the current category.

Definition at line 228 of file ezforumcategory.php.

References $db, $forum, $res, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZForumCategory::delete | ( |  | ) |

Deletes a eZForumCategory object from the database.

Definition at line 108 of file ezforumcategory.php.

References $db, $forum, $forumList, forums(), and eZDB\globalDatabase().

## ◆ description()

eZForumCategory::description | ( |  | ) |

Returns the forum category description.

Definition at line 360 of file ezforumcategory.php.

## ◆ forumCount()

eZForumCategory::forumCount | ( |  | ) |

Counts forum under the current category.

Definition at line 209 of file ezforumcategory.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ forums()

eZForumCategory::forums | ( |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

Returns every forum under the current category.

Definition at line 181 of file ezforumcategory.php.

References $db, $forum, $limit, $offset, $ret, and eZDB\globalDatabase().

Referenced by delete().

## ◆ get()

eZForumCategory::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 129 of file ezforumcategory.php.

References $category_array, $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

static eZForumCategory::getAll | ( |  | ) |
| static

Returns every category as an array of eZForumCategory objects.

Definition at line 162 of file ezforumcategory.php.

References $category, $category_array, $db, $ret, and eZDB\globalDatabase().

## ◆ getAllCategories()

eZForumCategory::getAllCategories | ( |  | ) |

Returns all forum categories.

Definition at line 260 of file ezforumcategory.php.

References $category, $category_array, $db, $ini, $ret, and eZDB\globalDatabase().

## ◆ id()

eZForumCategory::id | ( |  | ) |

Definition at line 287 of file ezforumcategory.php.

References $ID.

## ◆ name()

eZForumCategory::name | ( |  | ) |

Returns the forum name.

Definition at line 339 of file ezforumcategory.php.

References $Name, and Name.

## ◆ sectionID()

eZForumCategory::sectionID | ( |  | ) |

Returns the section of the category

Definition at line 311 of file ezforumcategory.php.

References $SectionID.

## ◆ sectionIDStatic()

static eZForumCategory::sectionIDStatic | ( |  | $categoryID | ) |
| static

Returns the Section ID. Returns false if the Category was not found.

Definition at line 320 of file ezforumcategory.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ setDescription()

eZForumCategory::setDescription | ( |  | $newDescription | ) |

Sets the forum category description.

Definition at line 352 of file ezforumcategory.php.

## ◆ setName()

eZForumCategory::setName | ( |  | $newName | ) |

Sets the forum category name.

Definition at line 295 of file ezforumcategory.php.

References Name.

## ◆ setSectionID()

eZForumCategory::setSectionID | ( |  | $value | ) |

Sets the section of the category

Definition at line 303 of file ezforumcategory.php.

## ◆ store()

eZForumCategory::store | ( |  | ) |

Stores a eZForumCategory object to the database.

Definition at line 59 of file ezforumcategory.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZForumCategory::$Description

Definition at line 367 of file ezforumcategory.php.

## ◆ $ID

eZForumCategory::$ID

Definition at line 365 of file ezforumcategory.php.

Referenced by id().

## ◆ $IsPrivate

eZForumCategory::$IsPrivate

Definition at line 368 of file ezforumcategory.php.

## ◆ $Name

eZForumCategory::$Name

Definition at line 366 of file ezforumcategory.php.

Referenced by name().

## ◆ $SectionID

eZForumCategory::$SectionID

Definition at line 369 of file ezforumcategory.php.

Referenced by sectionID().

The documentation for this class was generated from the following file:

- ezforumcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.